|  | Home · All Classes · Modules

# Qt.Orientations Class Reference
[QtCore module]

### Methods

- __init__ (self, Orientations f)
- __init__ (self, int f)
- __init__ (self)

### Special Methods

- Orientations __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, Orientations f)
- Orientations __iand__ (self, int mask)
- int __int__ (self)
- Orientations __invert__ (self)
- Orientations __ior__ (self, Orientations f)
- Orientations __ixor__ (self, Orientations f)
- bool __ne__ (self, Orientations f)
- Orientations __or__ (self, Orientations f)
- Orientations __xor__ (self, Orientations f)

## Detailed Description

Orientation may be used whenever Orientations is expected.

## Method Documentation

### Orientations.__init__ (self, Orientations f)

### Orientations.__init__ (self, int f)

### Orientations.__init__ (self)

### Orientations Orientations.__and__ (self, int mask)

### int Orientations.__bool__ (self)

### bool Orientations.__eq__ (self, Orientations f)

### Orientations Orientations.__iand__ (self, int mask)

### int Orientations.__int__ (self)

### Orientations Orientations.__invert__ (self)

### Orientations Orientations.__ior__ (self, Orientations f)

### Orientations Orientations.__ixor__ (self, Orientations f)

### bool Orientations.__ne__ (self, Orientations f)

### Orientations Orientations.__or__ (self, Orientations f)

### Orientations Orientations.__xor__ (self, Orientations f)